Bug 29477 - [glsl2] piglit fbo-drawbuffers-maxtargets fails
Summary: [glsl2] piglit fbo-drawbuffers-maxtargets fails
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: All Linux (All)
: high normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 29044
  Show dependency treegraph
 
Reported: 2010-08-09 22:37 UTC by Gordon Jin
Modified: 2010-09-05 18:02 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Jin 2010-08-09 22:37:36 UTC
The case fails on glsl2 branch (f8d2cfe4a699faebd42bd1874ef0329d37791dd7) with below output, and passes on master branch.

piglit/tests/fbo/fbo-drawbuffers-maxtargets.c:80: attach_texture: Assertion `glGetError() == 0' failed
Comment 1 Ian Romanick 2010-08-16 14:26:09 UTC
This will be fixed as soon as loop unrolling is implemented.  I'm working on that now.
Comment 2 Ian Romanick 2010-09-03 12:04:01 UTC
Fixed by the following commit and the preceding commits in the glsl2-loops branch (now merged to master):

commit 4e5b41c2f6b6423d0df260a9dea7938546134ec6
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Fri Aug 27 16:22:36 2010 -0700

    glsl2: Allow copy / constant propagation into array indices
Comment 3 Gordon Jin 2010-09-05 18:02:00 UTC
verified


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.